
if exists (SELECT * 
			 FROM INFORMATION_SCHEMA.COLUMNS 
			WHERE TABLE_NAME = 'EST_COMPRADOR_PG_FORN' 
			  AND COLUMN_NAME = 'PRZ_PGTO' AND DATA_TYPE = 'TINYINT' )
begin 
	ALTER TABLE EST_COMPRADOR_PG_FORN DROP CONSTRAINT DF_EST_COMPRADOR_PG_FORN_PRZ_PGTO;
	ALTER TABLE EST_COMPRADOR_PG_FORN ALTER COLUMN PRZ_PGTO INT NOT NULL
	ALTER TABLE EST_COMPRADOR_PG_FORN ADD CONSTRAINT DF_EST_COMPRADOR_PG_FORN_PRZ_PGTO DEFAULT 0 FOR PRZ_PGTO 
end  
